package com.goer.project.model.modelProject.domain;

import com.goer.framework.aspectj.lang.annotation.Excel;
import com.goer.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 模型对象对象 t_model_project
 * 
 * @author goer
 * @date 2022-01-17
 */
public class ModelProject extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    public Long getOrgEntityid() {
        return orgEntityid;
    }

    public void setOrgEntityid(Long orgEntityid) {
        this.orgEntityid = orgEntityid;
    }

    private Long orgEntityid;
    /** 模型名称 */
    @Excel(name = "模型名称")
    private String modelName;

    /** 模型描述 */
    @Excel(name = "模型描述")
    private String modelRemark;

    /** 版本id */
    @Excel(name = "版本id")
    private Long versionId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setModelName(String modelName)
    {
        this.modelName = modelName;
    }

    public String getModelName()
    {
        return modelName;
    }
    public void setModelRemark(String modelRemark)
    {
        this.modelRemark = modelRemark;
    }

    public String getModelRemark()
    {
        return modelRemark;
    }

    public void setVersionId(Long versionId)
    {
        this.versionId = versionId;
    }

    public Long getVersionId()
    {
        return versionId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("modelName", getModelName())
            .append("modelRemark", getModelRemark())
            .append("versionId", getVersionId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
